Bug 1290531 - Remove support for building with custom build.sh; r=dustin
authorGregory Szorc <gps@mozilla.com>
Fri, 29 Jul 2016 13:18:27 -0700
changeset 307536 9b290fa0e180d016c95441b880c64e07c424e7ab
parent 307535 1532b022e19cf3f6b483649fb6dccbbae7a5226f
child 307537 4ec50d432877c8dc9cfdd9b8192a125533ae7e64
push id30514
push usercbook@mozilla.com
push dateTue, 02 Aug 2016 15:04:11 +0000
treeherdermozilla-central@ea6e87bbd03e [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersdustin
bugs1290531
milestone50.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1290531 - Remove support for building with custom build.sh; r=dustin Now that tester-device is gone, there are no more images using custom build.sh scripts and that feature can be deleted. Yay simplicity. MozReview-Commit-ID: 5JqFZ2HOsWs
testing/docker/build.sh
--- a/testing/docker/build.sh
+++ b/testing/docker/build.sh
@@ -6,21 +6,16 @@
 
 gecko_root="$( cd "$( dirname "${BASH_SOURCE[0]}" )/../.." && pwd )"
 
 build() {
   local image_name=$1
   local tag=$2
   local folder="$gecko_root/testing/docker/$image_name"
 
-  if [ -f $folder/build.sh ]; then
-    shift
-    $folder/build.sh -t $tag $* || exit 1
-  else
-    # use --no-cache so that we always get the latest updates from yum
-    # and use the latest version of system-setup.sh
-    ( cd $folder/.. && docker build --no-cache -t $tag $image_name ) || exit 1
-  fi
+  # use --no-cache so that we always get the latest updates from yum
+  # and use the latest version of system-setup.sh
+  ( cd $folder/.. && docker build --no-cache -t $tag $image_name ) || exit 1
 
   echo "Success built $image_name and tagged with $tag"
 }
 
 build $*